Package org.eclipse.zest.layouts.progress

# Class ProgressEvent

java.lang.Object
org.eclipse.zest.layouts.progress.ProgressEvent

@Deprecated(since="2.0", forRemoval=true) public class ProgressEvent extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.
When an algorithm wants to notify everyone it has completely part of its task, it throws a ProgressEvent. The progress is a number (currentProgress) representing the current steps completed out of the total number of steps (totalProgress)

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ProgressEvent(int stepsCompleted, int totalNumberOfSteps)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a progress event.

## Method Summary

Modifier and Type
Method
Description
`int`
`getStepsCompleted()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the number of steps already completed.
`int`
`getTotalNumberOfSteps()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the total number of steps to complete.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressEvent

public ProgressEvent(int stepsCompleted, int totalNumberOfSteps)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a progress event.

Parameters:
  `stepsCompleted` - The current progress out of the total
  `totalNumberOfSteps` - The number used to indicate when the algorithm will finish

## Method Details

### getStepsCompleted

public int getStepsCompleted()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the number of steps already completed.

### getTotalNumberOfSteps

public int getTotalNumberOfSteps()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the total number of steps to complete.